Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 815793 - AttributeError: 'NoneType' object has no attribute 'getSize'
Summary: AttributeError: 'NoneType' object has no attribute 'getSize'
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:fbb6f1f0598335302...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-24 14:23 UTC by CoffeeAndKeyboard
Modified: 2012-06-09 22:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-09 22:48:43 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (deleted)
2012-04-24 14:23 UTC, CoffeeAndKeyboard
no flags Details

Description CoffeeAndKeyboard 2012-04-24 14:23:03 UTC
The following was filed automatically by anaconda:
anaconda 15.31 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1433, in _postCreate
    self._currentSize = self.partedPartition.getSize()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 751, in create
    self._postCreate()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 240, in execute
    self.device.create(intf=intf)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 313, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 356, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 116, in turnOnFilesystems
    anaconda.storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 211, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 130, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1257, in nextClicked
    self.anaconda.dispatch.gotoNext()
AttributeError: 'NoneType' object has no attribute 'getSize'

Comment 1 CoffeeAndKeyboard 2012-04-24 14:23:19 UTC
Created attachment 579872 [details]
Attached traceback automatically from anaconda.

Comment 2 Chris Lumens 2012-05-23 14:25:28 UTC
Please test again with F17 and let us know if this is still a problem for you.  Thanks.

Comment 3 CoffeeAndKeyboard 2012-06-09 22:48:43 UTC
Tried out with the F17 x86_64 release and did not encounter this issue. I suppose this may have been resolved alongwith other changes since F15. 

I am closing this bug. It may be reopened if this issue continues to crop up. Thanks.


Note You need to log in before you can comment on or make changes to this bug.